Skip to main content
POST
/
api
/
v1
/
apps
/
{app_id}
/
entitlements
/
{app_entitlement_id}
/
users
/
{app_user_id}
/
update-grant-duration
UpdateGrantDuration
package main

import(
	"context"
	"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
	conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
	"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
	"log"
)

func main() {
    ctx := context.Background()

    s := conductoronesdkgo.New(
        conductoronesdkgo.WithSecurity(shared.Security{
            BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
            Oauth: "<YOUR_OAUTH_HERE>",
        }),
    )

    res, err := s.AppEntitlementUserBinding.UpdateGrantDuration(ctx, operations.C1APIAppV1AppEntitlementUserBindingServiceUpdateGrantDurationRequest{
        AppEntitlementID: "<id>",
        AppID: "<id>",
        AppUserID: "<id>",
    })
    if err != nil {
        log.Fatal(err)
    }
    if res.UpdateGrantDurationResponse != nil {
        // handle response
    }
}
{
  "binding": {
    "appEntitlementId": "<string>",
    "appId": "<string>",
    "appUserId": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "deletedAt": "2023-11-07T05:31:56Z",
    "deprovisionAt": "2023-11-07T05:31:56Z",
    "grantSources": [
      {
        "appId": "<string>",
        "id": "<string>"
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://conductorone-ian-account-to-user-pipeline.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Authorization
string
header
required

This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.

Path Parameters

app_id
string
required

The ID of the app that owns the entitlement.

app_entitlement_id
string
required

The ID of the entitlement whose grant duration is being updated.

app_user_id
string
required

The ID of the app user whose grant is being updated.

Body

application/json

The request message for updating the duration of an existing grant.

newDeprovisionAt
string<date-time>

Response

200 - application/json

The response message for updating the duration of a grant.

The response message for updating the duration of a grant.

binding
App Entitlement User Binding · object

The AppEntitlementUserBinding represents the relationship that gives an app user access to an app entitlement